<?php
// Check tables

//echo "<p>Début check tables</p>";

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_droit'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_droit` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`droit` varchar(25) NOT NULL DEFAULT '' COMMENT 'Définition du droit',
`ouvert` varchar(1) NOT NULL DEFAULT 'n' COMMENT 'Droit ouvert',
UNIQUE KEY `droit` (`droit`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'liste des droits du plugin Livret Scolaire' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_droit'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_droit'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_competences'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_competences` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`code_competences` varchar(10) NOT NULL DEFAULT '' COMMENT 'code des compétences',
`texte_competences` varchar(250) NOT NULL DEFAULT '' COMMENT 'Descriptif des compétences',
`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL de la compétence',
UNIQUE KEY `code_competences` (`code_competences`, `annee`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'liste des competences' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_competences'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_competences'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_correspondances'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_correspondances` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`MEF` varchar(11) NOT NULL DEFAULT '' COMMENT 'code MEF du niveau et de la serie',
`Code_competences` varchar(10) NOT NULL DEFAULT '' COMMENT 'code MEF des compétences',
`Modalite` ENUM('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL  COMMENT 'Matière obligatoire ou pas', 
`Matiere` varchar(50) NOT NULL DEFAULT '' COMMENT 'Code Matière BCN' , 
`Note` ENUM('y', 'n') NOT NULL  COMMENT 'note obligatoire ou pas' , 
`Appreciation` ENUM('y', 'n') NOT NULL  COMMENT 'appréciation obligatoire ou pas' , 
UNIQUE KEY `correspondance` (`MEF`,`code_competences`),
PRIMARY KEY (`id`) 
) ENGINE=MyISAM  COMMENT 'correspondances code_competences → série + niveau';";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_correspondances'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_correspondances'.</p>";
	}
}
else {
	$sql="ALTER TABLE plugin_lsl_correspondances CHANGE Modalite Modalite ENUM('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL  COMMENT 'Matière obligatoire ou pas';";
	$alter=mysqli_query($mysqli, $sql);
	if(!$alter) {
		echo "<p style='color:red'>Erreur lors de la modification de la liste des modalités autorisées sur la table 'plugin_lsl_correspondances'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_eval_app'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_eval_app` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`annee` smallint(6) NOT NULL DEFAULT 0 COMMENT 'année',
`prof` varchar(50) NOT NULL DEFAULT '' COMMENT 'login du prof',
`eleve` VARCHAR( 50 )  NOT NULL DEFAULT '' COMMENT 'identifiant INE de l\'élève',
`appreciation` varchar(300) NOT NULL DEFAULT '' COMMENT 'appreciation du prof',
`id_APB` int(11) COMMENT 'code matiere dans APB',
UNIQUE KEY `matiere` ( `annee` , `id_APB` , `eleve` ),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'appréciation annuelle des professeurs' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		// Nouvel essai en évitant VARCHAR(300)
		$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_eval_app` (
	`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
	`annee` smallint(6) NOT NULL DEFAULT 0 COMMENT 'année',
	`prof` varchar(50) NOT NULL DEFAULT '' COMMENT 'login du prof',
	`eleve` VARCHAR( 50 )  NOT NULL DEFAULT '' COMMENT 'identifiant INE de l\'élève',
	`appreciation` TEXT NOT NULL COMMENT 'appreciation du prof',
	`id_APB` int(11) COMMENT 'code matiere dans APB',
	UNIQUE KEY `matiere` ( `annee` , `id_APB` , `eleve` ),
	PRIMARY KEY (`id`)
	) ENGINE=MyISAM  COMMENT 'appréciation annuelle des professeurs' ;";
		$create=mysqli_query($mysqli, $sql);
		if(!$create) {
			echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_eval_app'.</p>";
		}
		else {
			echo "<p style='color:green'>Création de la table 'plugin_lsl_eval_app'.</p>";
		}
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_eval_app'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_classes_ouvertes'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_classes_ouvertes` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`classe` smallint(5) NOT NULL COMMENT 'id de la classe dans APB',
`ouvert` ENUM('y', 'n')  NOT NULL  COMMENT 'ouvert ou pas à la saisie par les profs' , 
UNIQUE KEY `classe` ( `classe` ),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'classes ouvertes aux saisies par les professeurs' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_classes_ouvertes'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_classes_ouvertes'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_avis_annuels'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_avis_annuels` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`code_ine` varchar(50) NOT NULL DEFAULT '' COMMENT 'code INE des élèves',
`avis` ENUM ('T', 'F', 'A', 'D') DEFAULT NULL COMMENT 'avis pour le BAC',
`avisChefEtab` varchar(300) COMMENT 'appréciation annuelle des élèves par le chef d\'établissement',
`login` varchar(50) COMMENT 'Login de l\'appréciateur',
`date` date COMMENT 'date de  l\'appréciation',			   
`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL de l\'appréciation',
`avisEngagement` varchar(300) COMMENT 'observation du CPE sur les engagements et responsabilités de l’élève.',
`loginCPE` varchar(50) NOT NULL COMMENT 'login du CPE ayant enregistré l\'avis',
`dateCPE` date COMMENT 'date de l\'appréciation du CPE',
`avisInvestissement` varchar(300) COMMENT 'avis sur l\’investissement de l\’élève et sa participation à la vie du lycée',
`loginPP` varchar(50) NOT NULL COMMENT 'login du PP ayant enregistré l\'avis',
`datePP` date COMMENT 'date de l\'appréciation du PP',
UNIQUE KEY `eleve` (`code_ine`, `annee`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		// Nouvel essai en évitant VARCHAR(300)
		$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_avis_annuels` (
			`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
			`code_ine` varchar(50) NOT NULL DEFAULT '' COMMENT 'code INE des élèves',
			`avis` ENUM ('T', 'F', 'A', 'D') DEFAULT NULL COMMENT 'avis pour le BAC',
			`avisChefEtab` TEXT NOT NULL COMMENT 'appréciation annuelle des élèves par le chef d\'établissement',
			`login` varchar(50) COMMENT 'Login de l\'appréciateur',
			`date` date COMMENT 'date de  l\'appréciation',
			`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL de l\'appréciation',
			`avisEngagement` TEXT NOT NULL COMMENT 'observation du CPE sur les engagements et responsabilités de l’élève.',
			`loginCPE` varchar(50) NOT NULL COMMENT 'login du CPE ayant enregistré l\'avis',
			`dateCPE` date COMMENT 'date de l\'appréciation du CPE',
			`avisInvestissement` TEXT NOT NULL COMMENT 'avis sur l\’investissement de l\’élève et sa participation à la vie du lycée',
			`loginPP` varchar(50) NOT NULL COMMENT 'login du PP ayant enregistré l\'avis',
			`datePP` date COMMENT 'date de l\'appréciation du PP',
			UNIQUE KEY `eleve` (`code_ine`, `annee`),
			PRIMARY KEY (`id`)
			) ENGINE=MyISAM  ;";
		$create=mysqli_query($mysqli, $sql);
		if(!$create) {
			echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_avis_annuels'.</p>";
		}
		else {
			echo "<p style='color:green'>Création de la table 'plugin_lsl_avis_annuels'.</p>";
		}
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_avis_annuels'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_programmes'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_programmes` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`formation` varchar(11) COMMENT 'code SIECLE de la formation' ,
`matiere` varchar(6) COMMENT 'code SIECLE de la matière' ,
`Modalite` ENUM ('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL DEFAULT 'S' COMMENT 'code SIECLE de la modalité (S,F,O,N,X,L,R,D)' ,
`note` ENUM ('y', 'n') NOT NULL DEFAULT 'y' COMMENT 'Les notes sont obligatoires ou pas (y - n)' ,
`appreciation` ENUM ('y', 'n') NOT NULL DEFAULT 'y' COMMENT 'Les appréciations sont obligatoires ou pas (y - n)' ,
`optio` varchar(250) COMMENT 'Commentaire sur la formation' ,
`annee` varchar(4) COMMENT 'Annee sur la formation' ,
UNIQUE KEY `couple` (`formation`, `annee`, `matiere`, `Modalite`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM COMMENT 'Liste des enseignements par formation';";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_programmes'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_programmes'.</p>";
	}
}
else {
	$sql="ALTER TABLE plugin_lsl_programmes CHANGE Modalite Modalite ENUM('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL DEFAULT 'S' COMMENT 'code SIECLE de la modalité (S,F,O,N,X,L,R,D)';";
	$alter=mysqli_query($mysqli, $sql);
	if(!$alter) {
		echo "<p style='color:red'>Erreur lors de la modification de la liste des modalités autorisées sur la table 'plugin_lsl_programmes'.</p>";
	}

	// TESTER SI ON A UN CHAMP option ou optio
	$test_champ=mysqli_num_rows(mysqli_query($mysqli, "SHOW COLUMNS FROM plugin_lsl_programmes LIKE 'optio';"));
	if ($test_champ==0) {
		$test_champ=mysqli_num_rows(mysqli_query($mysqli, "SHOW COLUMNS FROM plugin_lsl_programmes LIKE 'option';"));
		if ($test_champ==0) {
			// Ca ne devrait jamais arriver.
			$sql="ALTER TABLE plugin_lsl_programmes ADD `optio` varchar(250) DEFAULT '' COMMENT 'Commentaire sur la formation';";
			$alter=mysqli_query($mysqli, $sql);
			if(!$alter) {
				echo "<p style='color:red'>Erreur lors de l'ajout d'un champ 'optio' à la table 'plugin_lsl_programmes'.</p>";
			}
			else {
				echo "<p style='color:green'>Ajout d'un champ 'optio' à 'plugin_lsl_programmes'.</p>";
			}
		}
		else {
			$sql="ALTER TABLE plugin_lsl_programmes CHANGE `option` `optio` varchar(250) DEFAULT '' COMMENT 'Commentaire sur la formation';";
			$alter=mysqli_query($mysqli, $sql);
			if(!$alter) {
				echo "<p style='color:red'>Erreur lors du changement du champ 'option' en 'optio' dans la table 'plugin_lsl_programmes'.</p>";
			}
			else {
				echo "<p style='color:green'>Changement du champ 'option' en 'optio' dans la table 'plugin_lsl_programmes'.</p>";
			}
		}
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_formations'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_formations` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`MEF` varchar(11) COMMENT 'code SIECLE de la formation' ,
`edition` varchar(50) COMMENT 'libelle pour l\'édition' ,
`libelle` varchar(250) COMMENT 'libelle long' ,
`MEF_rattachement` varchar(11) COMMENT 'code SIECLE de la formation de rattachement' ,
`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL',
UNIQUE KEY `formation`  (`MEF` , `annee`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM COMMENT 'Liste des MEF avec les MEF de rattachement';";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_formations'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_formations'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_rattache'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_rattache` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`MEF` varchar(11) COMMENT 'code SIECLE de la formation' ,
`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL de la formation',
`MEF_rattachement` varchar(11) COMMENT 'code SIECLE de la formation de rattachement',
UNIQUE KEY `formation`  (`MEF`,`annee`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM COMMENT 'jointures MEF → MEF de rattachement';";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_rattache'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_rattache'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_competences_matieres'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_competences_matieres` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`MEF` varchar(11) NOT NULL DEFAULT '' COMMENT 'code MEF du niveau et de la serie',
`code_competences` varchar(10) NOT NULL DEFAULT '' COMMENT 'code des compétences',
`modalite` ENUM('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL  COMMENT 'Matière obligatoire ou pas', 
`matiere` varchar(50) NOT NULL DEFAULT '' COMMENT 'Code Matière BCN' , 
`annee` varchar(4) NOT NULL DEFAULT '' COMMENT 'annee LSL de la compétence',
UNIQUE KEY `mef_comp`  (`MEF`,`annee`,`matiere`,`modalite`,`code_competences`),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'liste des correspondances MEF/matière/compétences' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_competences_matieres'.</p>";
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_competences_matieres'.</p>";
	}
}
else {
	$sql="ALTER TABLE plugin_lsl_competences_matieres CHANGE Modalite Modalite ENUM('S', 'F', 'O', 'N', 'X', 'L', 'R', 'D', '') NOT NULL  COMMENT 'Matière obligatoire ou pas';";
	$alter=mysqli_query($mysqli, $sql);
	if(!$alter) {
		echo "<p style='color:red'>Erreur lors de la modification de la liste des modalités autorisées sur la table 'plugin_lsl_competences_matieres'.</p>";
	}
}

$test=mysqli_query($mysqli, "SHOW TABLES LIKE 'plugin_lsl_eval_competences'");
if(mysqli_num_rows($test)==0) {
	$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_eval_competences` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`annee` smallint(6) NOT NULL DEFAULT 0 COMMENT 'année',
`prof` varchar(50) NOT NULL DEFAULT '' COMMENT 'login du prof',
`eleve` VARCHAR( 50 )  NOT NULL DEFAULT '' COMMENT 'login de l\'élève',
`code_competences` varchar(100) NOT NULL DEFAULT '' COMMENT 'code de la compétence',
`valeur` varchar(300) NOT NULL DEFAULT '' COMMENT 'Valeur obtenue sur la compétence',
`id_APB` int(11) COMMENT 'code matiere dans APB',
UNIQUE KEY `annee_idAPB_eleve_competence` ( `annee` , `id_APB` , `eleve`, `code_competences` ),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'Niveau obtenu par les élèves sur les compétences' ;";
	$create=mysqli_query($mysqli, $sql);
	if(!$create) {
		// Nouvel essai en évitant VARCHAR(300)
		$sql="CREATE TABLE IF NOT EXISTS `plugin_lsl_eval_competences` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id unique',
`annee` smallint(6) NOT NULL DEFAULT 0 COMMENT 'année',
`prof` varchar(50) NOT NULL DEFAULT '' COMMENT 'login du prof',
`eleve` VARCHAR( 50 )  NOT NULL DEFAULT '' COMMENT 'login de l\'élève',
`code_competences` varchar(100) NOT NULL DEFAULT '' COMMENT 'code de la compétence',
`valeur` TEXT NOT NULL COMMENT 'Valeur obtenue sur la compétence',
`id_APB` int(11) COMMENT 'code matiere dans APB',
UNIQUE KEY `annee_idAPB_eleve_competence` ( `annee` , `id_APB` , `eleve`, `code_competences` ),
PRIMARY KEY (`id`)
) ENGINE=MyISAM  COMMENT 'Niveau obtenu par les élèves sur les compétences' ;";
		$create=mysqli_query($mysqli, $sql);
		if(!$create) {
			echo "<p style='color:red'>Erreur lors de la création de la table 'plugin_lsl_eval_competences'.</p>";
		}
		else {
			echo "<p style='color:green'>Création de la table 'plugin_lsl_eval_competences'.</p>";
		}
	}
	else {
		echo "<p style='color:green'>Création de la table 'plugin_lsl_eval_competences'.</p>";
	}
}
//echo "<p>Fin check tables</p>";

?>
